| AAX SDK 2.8.0 Avid Audio Extensions Development Kit

- Welcome
- Manual
- Classes
- Files
- Lists
- Support

- File List
- File Members

Loading...
Searching...
No Matches
Macros | Functions
AAX_EndianSwap.h File Reference
`#include <algorithm>`

Go to the source code of this file.

## Description

Utility functions for byte-swapping. Used by AAX_CChunkDataParser.

## Macros
#define | ENDIANSWAP_H

## Functions
template<class T >
void | AAX_EndianSwapInPlace (T *theDataP)
| Byte swap data in-place.
template<class T >
T | AAX_EndianSwap (T theData)
| Make a byte-swapped copy of data.
template<class T >
void | AAX_BigEndianNativeSwapInPlace (T *theDataP)
| Convert data in-place between Big Endian and native byte ordering.
template<class T >
T | AAX_BigEndianNativeSwap (T theData)
| Copy and convert data between Big Endian and native byte ordering.
template<class T >
void | AAX_LittleEndianNativeSwapInPlace (T *theDataP)
| Convert data in-place from the native byte ordering to Little Endian byte ordering.
template<class T >
T | AAX_LittleEndianNativeSwap (T theData)
| Copy and convert data from the native byte ordering to Little Endian byte ordering.
template<class Iter >
void | AAX_EndianSwapSequenceInPlace (Iter beginI, Iter endI)
| Byte swap a sequence of data in-place.
template<class Iter >
void | AAX_BigEndianNativeSwapSequenceInPlace (Iter beginI, Iter endI)
| Convert an sequence of data in-place between Big Endian and native byte ordering.
template<class Iter >
void | AAX_LittleEndianNativeSwapSequenceInPlace (Iter beginI, Iter endI)
| Convert an sequence of data in-place from the native byte ordering to Little Endian byte ordering.

## Macro Definition Documentation

## ◆ ENDIANSWAP_H

#define ENDIANSWAP_H

## Function Documentation

## ◆ AAX_EndianSwapInPlace()

template<class T >

void AAX_EndianSwapInPlace | ( | T * | theDataP | ) |
| inline

Byte swap data in-place.

Referenced by AAX_BigEndianNativeSwapInPlace(), AAX_EndianSwap(), AAX_EndianSwapSequenceInPlace(), and AAX_LittleEndianNativeSwapInPlace().

Here is the caller graph for this function:

## ◆ AAX_EndianSwap()

template<class T >

T AAX_EndianSwap | ( | T | theData | ) |
| inline

Make a byte-swapped copy of data.

References AAX_EndianSwapInPlace().

Here is the call graph for this function:

## ◆ AAX_BigEndianNativeSwapInPlace()

template<class T >

void AAX_BigEndianNativeSwapInPlace | ( | T * | theDataP | ) |
| inline

Convert data in-place between Big Endian and native byte ordering.

References AAX_EndianSwapInPlace().

Referenced by AAX_BigEndianNativeSwap().

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ AAX_BigEndianNativeSwap()

template<class T >

T AAX_BigEndianNativeSwap | ( | T | theData | ) |
| inline

Copy and convert data between Big Endian and native byte ordering.

References AAX_BigEndianNativeSwapInPlace().

Here is the call graph for this function:

## ◆ AAX_LittleEndianNativeSwapInPlace()

template<class T >

void AAX_LittleEndianNativeSwapInPlace | ( | T * | theDataP | ) |
| inline

Convert data in-place from the native byte ordering to Little Endian byte ordering.

References AAX_EndianSwapInPlace().

Referenced by AAX_LittleEndianNativeSwap().

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ AAX_LittleEndianNativeSwap()

template<class T >

T AAX_LittleEndianNativeSwap | ( | T | theData | ) |
| inline

Copy and convert data from the native byte ordering to Little Endian byte ordering.

References AAX_LittleEndianNativeSwapInPlace().

Here is the call graph for this function:

## ◆ AAX_EndianSwapSequenceInPlace()

template<class Iter >

void AAX_EndianSwapSequenceInPlace | ( | Iter | beginI,
|  | Iter | endI
| ) |  |
| inline

Byte swap a sequence of data in-place.

References AAX_EndianSwapInPlace().

Referenced by AAX_BigEndianNativeSwapSequenceInPlace(), and AAX_LittleEndianNativeSwapSequenceInPlace().

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ AAX_BigEndianNativeSwapSequenceInPlace()

template<class Iter >

void AAX_BigEndianNativeSwapSequenceInPlace | ( | Iter | beginI,
|  | Iter | endI
| ) |  |
| inline

Convert an sequence of data in-place between Big Endian and native byte ordering.

References AAX_EndianSwapSequenceInPlace().

Here is the call graph for this function:

## ◆ AAX_LittleEndianNativeSwapSequenceInPlace()

template<class Iter >

void AAX_LittleEndianNativeSwapSequenceInPlace | ( | Iter | beginI,
|  | Iter | endI
| ) |  |
| inline

Convert an sequence of data in-place from the native byte ordering to Little Endian byte ordering.

References AAX_EndianSwapSequenceInPlace().

Here is the call graph for this function: